"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateArguments = void 0;
const picocolors_1 = __importDefault(require("picocolors"));
const helpers_1 = require("yargs/helpers");
const yargs_1 = __importDefault(require("yargs/yargs"));
const validateArguments = () => {
    const argv = (0, yargs_1.default)((0, helpers_1.hideBin)(process.argv))
        .scriptName('generateReadmeIcons')
        .usage(picocolors_1.default.blueBright('$0 -p [repoPath] -h [iconsHeight]'))
        .epilogue('Generates icons from dependencies and adds them to README.md')
        .example('$0 -p ./repos/myRepo -h 50', '')
        .describe('p', picocolors_1.default.cyanBright('The path to the repo'))
        .describe('h', picocolors_1.default.cyanBright('The height'))
        .default('h', 50)
        .default('p', '.')
        .number('h').argv;
    return {
        path: argv.p,
        iconsHeight: argv.h,
    };
};
exports.validateArguments = validateArguments;
//# sourceMappingURL=generate-readme-icons.arguments.js.map