#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const console_1 = require("./../dependencies/console/console.messages.js");
const generate_readme_icons_js_1 = require("../workflows/generate-readme-icons.js");
const generate_readme_icons_arguments_js_1 = require("./args/generate-readme-icons.arguments.js");
/* istanbul ignore file */
(async () => {
    try {
        const args = (0, generate_readme_icons_arguments_js_1.validateArguments)();
        const iconsCount = await (0, generate_readme_icons_js_1.generateReadmeIcons)(args);
        (0, console_1.displaySuccess)(iconsCount);
    }
    catch (err) {
        (0, console_1.displayError)(err);
    }
})();
//# sourceMappingURL=generate-readme-icons.cli.js.map