"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.directoryExists = exports.fileExists = void 0;
const promises_1 = require("node:fs/promises");
const fileExists = async (path) => {
    try {
        const pathStats = await (0, promises_1.stat)(path);
        return pathStats.isFile();
    }
    catch (_) {
        return false;
    }
};
exports.fileExists = fileExists;
const directoryExists = async (path) => {
    try {
        const pathStats = await (0, promises_1.stat)(path);
        return pathStats.isDirectory();
    }
    catch (_) {
        return false;
    }
};
exports.directoryExists = directoryExists;
//# sourceMappingURL=exists.js.map