"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readJson = void 0;
const promises_1 = require("node:fs/promises");
const comment_json_1 = require("comment-json");
const readJson = async (path) => {
    const dataAsString = await (0, promises_1.readFile)(path, { encoding: 'utf-8' });
    try {
        return (0, comment_json_1.parse)(dataAsString, null, true);
    }
    catch (error) {
        throw new Error('Invalid json', {
            cause: error,
        });
    }
};
exports.readJson = readJson;
//# sourceMappingURL=read-json.js.map