"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCiIcons = void 0;
const fs_1 = require("./../../dependencies/fs/index.js");
const _specs_1 = require("./../../specs/technos.js");
const getCiIcons = async (path) => {
    const items = [];
    const githubActionsFolderExists = await (0, fs_1.directoryExists)(`${path}/.github/workflows`);
    if (githubActionsFolderExists) {
        items.push(_specs_1.technosSpecs['github-actions']);
    }
    const circleCiFolderExists = await (0, fs_1.fileExists)(`${path}/.circleci`);
    if (circleCiFolderExists) {
        items.push(_specs_1.technosSpecs['circle-ci']);
    }
    return items;
};
exports.getCiIcons = getCiIcons;
//# sourceMappingURL=get-ci-icons.js.map