"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPackageDependenciesIcons = void 0;
const fs_1 = require("./../../dependencies/fs/index.js");
const _specs_1 = require("./../../specs/technos.js");
const get_package_json_data_js_1 = require("../package/get-package-json-data.js");
const getPackageDependenciesIcons = async (path) => {
    const packageJsonExists = await (0, fs_1.fileExists)(`${path}/package.json`);
    if (!packageJsonExists) {
        return [];
    }
    const json = await (0, get_package_json_data_js_1.getPackageJsonData)(path);
    return Object.entries(_specs_1.technosSpecs)
        .filter(([, { dependenciesPattern }]) => dependenciesPattern &&
        json.dependencies.some((dep) => dep.match(dependenciesPattern)))
        .map(([, techno]) => techno);
};
exports.getPackageDependenciesIcons = getPackageDependenciesIcons;
//# sourceMappingURL=get-package-dependencies-icons.js.map