"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRootItemsIcons = void 0;
const promises_1 = require("node:fs/promises");
const _specs_1 = require("./../../specs/technos.js");
const getRootItemsIcons = async (path) => {
    const files = (await (0, promises_1.readdir)(path)).map((el) => el.toLocaleLowerCase());
    const items = [];
    if (files.some((el) => el.startsWith('tsconfig'))) {
        items.push(_specs_1.technosSpecs.typescript);
    }
    else {
        items.push(_specs_1.technosSpecs.javascript);
    }
    items.push(_specs_1.technosSpecs.node);
    if (files.includes('package-lock.json')) {
        items.push(_specs_1.technosSpecs.npm);
    }
    else if (files.includes('yarn.lock')) {
        items.push(_specs_1.technosSpecs.yarn);
    }
    else if (files.includes('pnpm-lock.yaml')) {
        items.push(_specs_1.technosSpecs.pnpm);
    }
    else if (files.includes('bun.lockb') || files.includes('bun.lock')) {
        items.push(_specs_1.technosSpecs.bun);
    }
    if (files.includes('fly.toml')) {
        items.push(_specs_1.technosSpecs['fly-io']);
    }
    else if (files.includes('procfile')) {
        items.push(_specs_1.technosSpecs.heroku);
    }
    if (files.some((el) => el.toLowerCase().includes('docker'))) {
        items.push(_specs_1.technosSpecs.docker);
    }
    return items;
};
exports.getRootItemsIcons = getRootItemsIcons;
//# sourceMappingURL=get-root-items-icons.js.map