"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.inferIcons = void 0;
const get_ci_icons_js_1 = require("./get-ci-icons.js");
const get_db_icons_js_1 = require("./get-db-icons.js");
const get_package_dependencies_icons_js_1 = require("./get-package-dependencies-icons.js");
const get_root_items_icons_js_1 = require("./get-root-items-icons.js");
const inferIcons = async (path) => {
    const ciIcons = await (0, get_ci_icons_js_1.getCiIcons)(path);
    const rootIcons = await (0, get_root_items_icons_js_1.getRootItemsIcons)(path);
    const dbIcons = await (0, get_db_icons_js_1.getDbIcons)(path);
    const dependenciesIcons = await (0, get_package_dependencies_icons_js_1.getPackageDependenciesIcons)(path);
    return [...ciIcons, ...rootIcons, ...dbIcons, ...dependenciesIcons];
};
exports.inferIcons = inferIcons;
//# sourceMappingURL=index.js.map