"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPackageJsonData = void 0;
const fs_1 = require("./../../dependencies/fs/index.js");
const getPackageJsonData = async (path) => {
    const json = await (0, fs_1.readJson)(`${path}/package.json`);
    let dependencies = [];
    if (json.dependencies) {
        dependencies = [...dependencies, ...Object.keys(json.dependencies)];
    }
    if (json.devDependencies) {
        dependencies = [...dependencies, ...Object.keys(json.devDependencies)];
    }
    if (json.peerDependencies) {
        dependencies = [...dependencies, ...Object.keys(json.peerDependencies)];
    }
    return {
        dependencies,
        scripts: json.scripts,
    };
};
exports.getPackageJsonData = getPackageJsonData;
//# sourceMappingURL=get-package-json-data.js.map