"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ensureReadmePlaceholders = void 0;
const promises_1 = require("node:fs/promises");
const ensureReadmePlaceholders = async (path) => {
    const data = await (0, promises_1.readFile)(path, 'utf-8');
    const placeHolderStartRegex = /<!-- readme-package-icons start -->/;
    const placeHolderEndRegex = /<!-- readme-package-icons end -->/;
    if (placeHolderStartRegex.test(data) === false ||
        placeHolderEndRegex.test(data) === false) {
        throw new Error(`Missing placeholders in ${path}`);
    }
};
exports.ensureReadmePlaceholders = ensureReadmePlaceholders;
//# sourceMappingURL=ensure-readme-placeholders.js.map