"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.injectIconsToPackage = void 0;
const promises_1 = require("node:fs/promises");
const injectIconsToPackage = async (path, input) => {
    const data = await (0, promises_1.readFile)(path, 'utf-8');
    const replaceRegex = /(?<=<!-- readme-package-icons start -->)([\W\w]*)(?=<!-- readme-package-icons end -->)/gm;
    const alteredReadmeData = data.replace(replaceRegex, `\n\n${input}\n\n`);
    await (0, promises_1.writeFile)(path, alteredReadmeData);
};
exports.injectIconsToPackage = injectIconsToPackage;
//# sourceMappingURL=inject-icons-to-package.js.map