"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateReadmeIcons = void 0;
const index_js_1 = require("../logic/icons-inference/index.js");
const build_icons_list_js_1 = require("../logic/icons-list/build-icons-list.js");
const ensure_readme_placeholders_js_1 = require("../logic/readme/ensure-readme-placeholders.js");
const inject_icons_to_package_js_1 = require("../logic/readme/inject-icons-to-package.js");
const generateReadmeIcons = async ({ path = '.', iconsHeight = 50, }) => {
    const readmePath = `${path}/README.md`;
    await (0, ensure_readme_placeholders_js_1.ensureReadmePlaceholders)(readmePath);
    const icons = await (0, index_js_1.inferIcons)(path);
    const iconsString = (0, build_icons_list_js_1.buildIconsList)(icons, iconsHeight);
    await (0, inject_icons_to_package_js_1.injectIconsToPackage)(readmePath, iconsString);
    return icons.length;
};
exports.generateReadmeIcons = generateReadmeIcons;
//# sourceMappingURL=generate-readme-icons.js.map