#!/usr/bin/env node
import { displayError, displaySuccess } from './../dependencies/console/console.messages.js';
import { generateReadmeIcons } from '../workflows/generate-readme-icons.js';
import { validateArguments } from './args/generate-readme-icons.arguments.js';
/* istanbul ignore file */
(async () => {
    try {
        const args = validateArguments();
        const iconsCount = await generateReadmeIcons(args);
        displaySuccess(iconsCount);
    }
    catch (err) {
        displayError(err);
    }
})();
//# sourceMappingURL=generate-readme-icons.cli.js.map