import { directoryExists, fileExists } from './../../dependencies/fs/index.js';
import { technosSpecs } from './../../specs/technos.js';
export const getCiIcons = async (path) => {
    const items = [];
    const githubActionsFolderExists = await directoryExists(`${path}/.github/workflows`);
    if (githubActionsFolderExists) {
        items.push(technosSpecs['github-actions']);
    }
    const circleCiFolderExists = await fileExists(`${path}/.circleci`);
    if (circleCiFolderExists) {
        items.push(technosSpecs['circle-ci']);
    }
    return items;
};
//# sourceMappingURL=get-ci-icons.js.map