import { fileExists } from './../../dependencies/fs/index.js';
import { technosSpecs } from './../../specs/technos.js';
import { getPackageJsonData } from '../package/get-package-json-data.js';
export const getPackageDependenciesIcons = async (path) => {
    const packageJsonExists = await fileExists(`${path}/package.json`);
    if (!packageJsonExists) {
        return [];
    }
    const json = await getPackageJsonData(path);
    return Object.entries(technosSpecs)
        .filter(([, { dependenciesPattern }]) => dependenciesPattern &&
        json.dependencies.some((dep) => dep.match(dependenciesPattern)))
        .map(([, techno]) => techno);
};
//# sourceMappingURL=get-package-dependencies-icons.js.map