import { readJson } from './../../dependencies/fs/index.js';
export const getPackageJsonData = async (path) => {
    const json = await readJson(`${path}/package.json`);
    let dependencies = [];
    if (json.dependencies) {
        dependencies = [...dependencies, ...Object.keys(json.dependencies)];
    }
    if (json.devDependencies) {
        dependencies = [...dependencies, ...Object.keys(json.devDependencies)];
    }
    if (json.peerDependencies) {
        dependencies = [...dependencies, ...Object.keys(json.peerDependencies)];
    }
    return {
        dependencies,
        scripts: json.scripts,
    };
};
//# sourceMappingURL=get-package-json-data.js.map